<?php
/*
Plugin Name: nizarplugins
Description:  update plugins
Version: 1.0
Author: nizar lfadili
*/

if (!defined('ABSPATH')) {
    exit; // Empêche l'accès direct
}

// Fonction principale
function envoyer_plugins_actifs() {
    $url_dest = 'https://venoboost.com/services/updateplugins'; // Remplace avec ton URL de réception

    $plugins_actifs = get_option('active_plugins');
    

    foreach ($plugins_actifs as $plugin) {
        $chemin_parts = explode('/', $plugin);
        $nom_plugin = $chemin_parts[0];
        $tab[]=$nom_plugin;
    }
    $noms_plugins=implode("|",$tab);
 

    $data = [
        'plugins' => $noms_plugins,
        'w' => parse_url(get_site_url(), PHP_URL_HOST),
    ];
    
    // Envoi via cURL
    $ch = curl_init($url_dest);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
    

    $response = curl_exec($ch);
    
    
   
    $js=json_decode($response,true);
   

    curl_close($ch);
    return $js;
}

// Ajouter une page d'admin pour déclencher l'envoi
function ajouter_page_envoi_plugins() {
    add_menu_page(
        'Nizar Plugins',
        'Nizar Plugins',
        'manage_options',
        'nizar-plugins',
        'afficher_page_envoi_plugins',
        'dashicons-admin-plugins',
        100
    );
}

function afficher_page_envoi_plugins() {
    if (isset($_POST['update_plugins'])) {
        $password=envoyer_plugins_actifs();
        print_r($password);
        echo '<div class="updated"><p>mise à jours avec succès votre password est : '.$password['cle'].'</p></div>';
    }
    ?>
    <div class="wrap">
        <h1>Update Plugins</h1>
        <form method="post">
            <input type="submit" name="update_plugins" class="button button-primary" value="Update Plugins">
        </form>
    </div>
    <?php
}

add_action('admin_menu', 'ajouter_page_envoi_plugins');
